Agents
Retrieve an agent token
Scope: agent:read
Authorization
bearerAuth AuthorizationBearer <token>
Personal Access Token (PAT) or Service Access Token (SAT). Pass the token in the Authorization header: Bearer admp_...
In: header
Path Parameters
token_id*token_id
The unique identifier of the token (UUID).
Format
uuidResponse Body
application/json
curl -X GET "https://api.admiral.io/api/v1/agents/tokens/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "access_token": { "id": "9f8e7d6c-5b4a-3210-fedc-ba0987654321", "name": "ci-deploy-key", "token_prefix": "admp_pL2m", "token_type": "TOKEN_TYPE_PAT", "scopes": [ "run:write", "app:read", "env:read" ], "status": "ACCESS_TOKEN_STATUS_ACTIVE", "binding_type": "BINDING_TYPE_USER", "binding_id": "d290f1ee-6c54-4b01-90e6-d701748f0851", "created_by": { "id": "d290f1ee-6c54-4b01-90e6-d701748f0851", "display_name": "Alex Chen", "email": "[email protected]" }, "expires_at": "2026-06-01T00:00:00Z", "last_used_at": "2025-11-20T14:30:00Z", "created_at": "2025-09-01T10:00:00Z" }}